Bug 1443086 - [RFE] Drop support for VMware MKS and old VMRC consoles
Summary: [RFE] Drop support for VMware MKS and old VMRC consoles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
: 1389560 (view as bug list)
Depends On: 1440811
Blocks: 1414869 1414928
TreeView+ depends on / blocked
 
Reported: 2017-04-18 12:49 UTC by Satoe Imaishi
Modified: 2020-07-16 09:26 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.12
Doc Type: Enhancement
Doc Text:
Clone Of: 1440811
Environment:
Last Closed: 2017-05-31 14:52:48 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
kkulkarn: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 3 CFME Bot 2017-04-24 15:13:32 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/76f2065ddb68945324274a59cc3322a8e7e81fbb

commit 76f2065ddb68945324274a59cc3322a8e7e81fbb
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Mon Apr 10 14:47:55 2017 +0200
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Apr 18 16:17:01 2017 +0200

    Remove VMware MKS consoles and the old VMRC plugin support
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1443086
    (cherry picked from commit 0ac89d72f289c7b86069d05327f224e33d6dcdb2)

 app/assets/stylesheets/vmrc.css                    | 139 -------
 app/controllers/ops_controller/settings/common.rb  |   2 +-
 app/controllers/vm_remote.rb                       |   7 +-
 .../application_helper/button/vm_console.rb        |  25 --
 .../application_helper/button/vm_vmrc_console.rb   |  15 +-
 .../application_helper/toolbar/x_vm_center.rb      |   8 -
 app/helpers/ui_constants.rb                        |   3 -
 app/views/ops/_settings_server_tab.html.haml       |  14 +-
 app/views/vm_common/console_mks.html.haml          | 147 -------
 app/views/vm_common/console_vmrc.html.haml         | 450 +--------------------
 .../application_helper/buttons/vm_console_spec.rb  |  13 -
 .../buttons/vm_vmrc_console_spec.rb                |  38 +-
 12 files changed, 30 insertions(+), 831 deletions(-)
 delete mode 100644 app/assets/stylesheets/vmrc.css
 delete mode 100644 app/views/vm_common/console_mks.html.haml
 delete mode 100644 spec/helpers/application_helper/buttons/vm_console_spec.rb

Comment 4 Chris Pelland 2017-04-27 18:07:56 UTC
*** Bug 1389560 has been marked as a duplicate of this bug. ***

Comment 7 Kedar Kulkarni 2017-04-28 15:11:07 UTC
Environment: 
CFME Downstream 58z

Actions Performed: 

Checked Configuration->VMware Console Support 

Results: 

Available options are WebMKS,VNC, VMWare VMRC Plugin

Comment 9 errata-xmlrpc 2017-05-31 14:52:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.